org.apache.ignite.internal.visor.node

## Class VisorNodeEventsCollectorTask.VisorNodeEventsCollectorJob

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.visor.VisorJob<VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg,Collection<? extends VisorGridEvent>>
    - - org.apache.ignite.internal.visor.node.VisorNodeEventsCollectorTask.VisorNodeEventsCollectorJob

All Implemented Interfaces:
  Serializable, Callable<Object>, ComputeJob

Enclosing class:
  VisorNodeEventsCollectorTask

    protected static class VisorNodeEventsCollectorTask.VisorNodeEventsCollectorJob
    extends VisorJob<VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg,Collection<? extends VisorGridEvent>>

Job for task returns events data.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorJob

`debug, ignite, start`

### Constructor Summary

Constructors
`protected` `VisorNodeEventsCollectorTask.VisorNodeEventsCollectorJob(VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg arg, boolean debug)` Create job with specified argument.

### Method Summary

Methods
`protected VisorEventMapper` `eventMapper()`
`protected Collection<? extends VisorGridEvent>` `run(VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg arg)` Execution logic of concrete job.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.VisorJob

`execute`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorNodeEventsCollectorTask.VisorNodeEventsCollectorJob

    protected VisorNodeEventsCollectorTask.VisorNodeEventsCollectorJob(VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg arg,
                                                            boolean debug)

Create job with specified argument.

Parameters:
  `arg` - Job argument.
  `debug` - Debug flag.

### Method Detail

#### eventMapper

    protected VisorEventMapper eventMapper()

Returns:
  Events mapper.

#### run

    protected Collection<? extends VisorGridEvent> run(VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg arg)

Execution logic of concrete job.

Specified by:
  `run` in class `VisorJob<VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg,Collection<? extends VisorGridEvent>>`
Parameters:
  `arg` - Task argument.
Returns:
  Result.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015